//
// Ce fichier a été généré par l'implémentation de référence JavaTM Architecture for XML Binding (JAXB), v2.2.8-b130911.1802 
// Voir <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Toute modification apportée à ce fichier sera perdue lors de la recompilation du schéma source. 
// Généré le : 2019.08.04 à 06:45:14 PM CEST 
//


package org.avmdti.AmsatList.generated;

import java.math.BigDecimal;
import java.math.BigInteger;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.avmdti.AmsatList.generated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Status_QNAME = new QName("", "Status");
    private final static QName _FrequencyBegin_QNAME = new QName("", "FrequencyBegin");
    private final static QName _Speed_QNAME = new QName("", "Speed");
    private final static QName _LaunchingSite_QNAME = new QName("", "LaunchingSite");
    private final static QName _FrequencyEnd_QNAME = new QName("", "FrequencyEnd");
    private final static QName _Mode_QNAME = new QName("", "Mode");
    private final static QName _Title_QNAME = new QName("", "Title");
    private final static QName _OSCARNumber_QNAME = new QName("", "OSCARNumber");
    private final static QName _ReportEmail_QNAME = new QName("", "ReportEmail");
    private final static QName _Name_QNAME = new QName("", "Name");
    private final static QName _UpdateDate_QNAME = new QName("", "UpdateDate");
    private final static QName _SatelliteInformationStatus_QNAME = new QName("", "SatelliteInformationStatus");
    private final static QName _CallSign_QNAME = new QName("", "CallSign");
    private final static QName _Tone_QNAME = new QName("", "Tone");
    private final static QName _Inverted_QNAME = new QName("", "Inverted");
    private final static QName _Value_QNAME = new QName("", "Value");
    private final static QName _Frequency_QNAME = new QName("", "Frequency");
    private final static QName _NasaID_QNAME = new QName("", "NasaID");
    private final static QName _LaunchDate_QNAME = new QName("", "LaunchDate");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.avmdti.AmsatList.generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link LaunchData }
     * 
     */
    public LaunchData createLaunchData() {
        return new LaunchData();
    }

    /**
     * Create an instance of {@link DescriptionURL }
     * 
     */
    public DescriptionURL createDescriptionURL() {
        return new DescriptionURL();
    }

    /**
     * Create an instance of {@link Description }
     * 
     */
    public Description createDescription() {
        return new Description();
    }

    /**
     * Create an instance of {@link TelemetryData }
     * 
     */
    public TelemetryData createTelemetryData() {
        return new TelemetryData();
    }

    /**
     * Create an instance of {@link ReportURL }
     * 
     */
    public ReportURL createReportURL() {
        return new ReportURL();
    }

    /**
     * Create an instance of {@link SoftwareURL }
     * 
     */
    public SoftwareURL createSoftwareURL() {
        return new SoftwareURL();
    }

    /**
     * Create an instance of {@link Information }
     * 
     */
    public Information createInformation() {
        return new Information();
    }

    /**
     * Create an instance of {@link AmsatList }
     * 
     */
    public AmsatList createAmsatList() {
        return new AmsatList();
    }

    /**
     * Create an instance of {@link Satellites }
     * 
     */
    public Satellites createSatellites() {
        return new Satellites();
    }

    /**
     * Create an instance of {@link RadioData }
     * 
     */
    public RadioData createRadioData() {
        return new RadioData();
    }

    /**
     * Create an instance of {@link Beacons }
     * 
     */
    public Beacons createBeacons() {
        return new Beacons();
    }

    /**
     * Create an instance of {@link Modes }
     * 
     */
    public Modes createModes() {
        return new Modes();
    }

    /**
     * Create an instance of {@link Transponders }
     * 
     */
    public Transponders createTransponders() {
        return new Transponders();
    }

    /**
     * Create an instance of {@link FrequencyUplink }
     * 
     */
    public FrequencyUplink createFrequencyUplink() {
        return new FrequencyUplink();
    }

    /**
     * Create an instance of {@link FrequencyDownlink }
     * 
     */
    public FrequencyDownlink createFrequencyDownlink() {
        return new FrequencyDownlink();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Status")
    public JAXBElement<String> createStatus(String value) {
        return new JAXBElement<String>(_Status_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "FrequencyBegin")
    public JAXBElement<BigInteger> createFrequencyBegin(BigInteger value) {
        return new JAXBElement<BigInteger>(_FrequencyBegin_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Speed")
    public JAXBElement<String> createSpeed(String value) {
        return new JAXBElement<String>(_Speed_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "LaunchingSite")
    public JAXBElement<String> createLaunchingSite(String value) {
        return new JAXBElement<String>(_LaunchingSite_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "FrequencyEnd")
    public JAXBElement<BigInteger> createFrequencyEnd(BigInteger value) {
        return new JAXBElement<BigInteger>(_FrequencyEnd_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Mode")
    public JAXBElement<String> createMode(String value) {
        return new JAXBElement<String>(_Mode_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Title")
    public JAXBElement<String> createTitle(String value) {
        return new JAXBElement<String>(_Title_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "OSCARNumber")
    public JAXBElement<String> createOSCARNumber(String value) {
        return new JAXBElement<String>(_OSCARNumber_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "ReportEmail")
    public JAXBElement<String> createReportEmail(String value) {
        return new JAXBElement<String>(_ReportEmail_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Name")
    public JAXBElement<String> createName(String value) {
        return new JAXBElement<String>(_Name_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "UpdateDate")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createUpdateDate(String value) {
        return new JAXBElement<String>(_UpdateDate_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "SatelliteInformationStatus")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createSatelliteInformationStatus(String value) {
        return new JAXBElement<String>(_SatelliteInformationStatus_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "CallSign")
    public JAXBElement<String> createCallSign(String value) {
        return new JAXBElement<String>(_CallSign_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigDecimal }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Tone")
    public JAXBElement<BigDecimal> createTone(BigDecimal value) {
        return new JAXBElement<BigDecimal>(_Tone_QNAME, BigDecimal.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Inverted")
    public JAXBElement<String> createInverted(String value) {
        return new JAXBElement<String>(_Inverted_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Value")
    public JAXBElement<String> createValue(String value) {
        return new JAXBElement<String>(_Value_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Frequency")
    public JAXBElement<String> createFrequency(String value) {
        return new JAXBElement<String>(_Frequency_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "NasaID")
    public JAXBElement<String> createNasaID(String value) {
        return new JAXBElement<String>(_NasaID_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "LaunchDate")
    public JAXBElement<String> createLaunchDate(String value) {
        return new JAXBElement<String>(_LaunchDate_QNAME, String.class, null, value);
    }

}
